## exim4 4.80

=== debian/changelog ===
exim4 (4.80-7ubuntu3) saucy; urgency=low

  * debian/patches/fix_smtp_banner.patch: updated SMTP banner
    with Ubuntu distribution
  * debian/control: added lsb-release build dependency

 -- Yolanda Robla <yolanda.robla@canonical.com>  Tue, 18 Jun 2013 19:17:43 +0200

exim4 (4.80-7ubuntu2) saucy; urgency=low

  * debian/tests: Add autopkgtest.

 -- Yolanda <yolanda.robla@canonical.com>  Mon, 27 May 2013 11:31:35 +0200

exim4 (4.80-7ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #1166383). Remaining changes:
    - debian/control: Don't declare a Provides: default-mta; in Ubuntu,
      we want postfix to be the default.

 -- Robie Basak <robie.basak@canonical.com>  Mon, 08 Apr 2013 18:13:15 +0100

exim4 (4.80-7) unstable; urgency=low

  * Use exim's ${quote:xxx} operator when invoking spfquery to disallow
    bypassing of SPF validation by using special mailbox names. (Thanks to
    Lekensteyn for diagnosis and testing.) Closes: #697057

 -- Andreas Metzler <ametzler@debian.org>  Wed, 02 Jan 2013 19:37:21 +0100

exim4 (4.80-6) unstable; urgency=low

  * Cherrypick two changes from GIT:
    + 85_server_set_id_SPA.diff: server_set_id was not stored in
      $authenticated_id when using SPA authentication.
      http://article.gmane.org/gmane.mail.exim.user/92181
    + 86_Dovecot-robustness.diff: robustness fixes for the Dovecot
      authenticator.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 21 Nov 2012 19:08:53 +0100

exim4 (4.80-5.1ubuntu1) raring; urgency=low

  * Merge from Debian. Remaining changes: 
    - debian/control: Don't declare a Provides: default-mta; in Ubuntu,
      we want postfix to be the default.

 -- Oussama Bounaim <o.bounaim@gmail.com>  Sun, 11 Nov 2012 07:11:06 +0100

exim4 (4.80-5.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2012-5671: Fix heap-based buffer overflow in DKIM handling.

 -- Nico Golde <nion@debian.org>  Thu, 25 Oct 2012 20:11:11 +0200

exim4 (4.80-5) unstable; urgency=low

  * Fix grammar error in debian/manpages/exim4-config_files.5. (Thanks,
    Regid Ichira)
  * Fix hardening support. (Thanks, Simon Ruderich)
    + Append $(CPPFLAGS) to CFLAGS, the exim buildsystem does not use it.
    + Set LFLAGS += $(LDFLAGS) in debian/rules.
    Closes: #687645
  * Correct typo in Russian debconf translation. (Thanks, Krasu)
    Closes: #683385
  * Point Vcs-* to git repository.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Sep 2012 12:20:16 +0200

exim4 (4.80-4) unstable; urgency=low

  * Disable autoloading of PKCS#11 modules. Closes: #678238

 -- Andreas Metzler <ametzler@debian.org>  Sat, 23 Jun 2012 18:35:03 +0200

exim4 (4.80-3ubuntu1.1) quantal-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution via dns decode logic
    - debian/patches/CVE-2012-5671.patch: adjust max length and validate
      against it in src/pdkim/pdkim.h, src/dkim.c.
    - CVE-2012-5671

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Oct 2012 08:22:46 -0400

exim4 (4.80-3ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Don't declare a Provides: default-mta; in Ubuntu,
      we want postfix to be the default.

 -- Clint Byrum <clint@ubuntu.com>  Thu, 14 Jun 2012 15:28:08 -0700

exim4 (4.80-3) unstable; urgency=low

  * Pull 75_openssl_sni.diff from upstream. - Segfault caused by NULL
    dereference if Exim is built using OpenSSL, tls_sni is used and a
    forced expansion failure is configured.
  * Pull 76_tls_dh_min_bits.diff (and the corresponding doc change
    77_docsfortls_dh_min_bits.diff) from upstream. Adds a new SMTP transport
    option tls_dh_min_bits for setting the minimal size of DH parameters.
  * Add macro TLS_DH_MIN_BITS for setting the tls_dh_min_bits smtp transport
    option. Closes: #676563
  * [lintian] Stop shipping empty directory /usr/share/exim4 in exim4-base.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 08 Jun 2012 12:37:05 +0200

exim4 (4.80-2) unstable; urgency=low

  * [Brown paper bag] actually target unstable in changelog.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 03 Jun 2012 17:24:05 +0200

exim4 (4.80-1) experimental; urgency=low

  * New upstream version, identical to rc7.
  * Add a missing piece of documentation to update-exim4.conf.8. DCreadhost
    is not only used for rewriting, in satellite setup it is also
    the host where local mail is delivered to. (Thanks, Regid Ichira).
    Closes: #675712

 -- Andreas Metzler <ametzler@debian.org>  Sun, 03 Jun 2012 16:49:51 +0200

exim4 (4.80~rc7-1) experimental; urgency=low

  * New upstream version.
  * Let debian/EDITME.openssl.exim4-light.diff apply again.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 29 May 2012 19:33:07 +0200

exim4 (4.80~rc6-1) experimental; urgency=low

  * Ship newly available GnuTLS-FAQ.txt in exim4-base.
  * Upstream's handling of GnuTLS DH parameters has changed, hardcoded
    parameters (from RFCs are used by default. See
    /usr/share/doc/exim4-base/README.UPDATING* for details. Stop shipping
    /usr/share/exim4/exim4_refresh_gnutls-params /usr/share/exim4/timeout.pl
    and /var/spool/exim4/gnutls-params-2236.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 27 May 2012 18:46:48 +0200

exim4 (4.80~rc5-1) experimental; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 24 May 2012 20:20:24 +0200

exim4 (4.80~rc4-1) experimental; urgency=low

  * New upstream version.
    + Unfuzz 50_localscan_dlopen.dpatch
    + Drop 80_revert_stringformatprintf.diff, superseded upstream.
    + Default DH param size switched to 2236 for NSS compat. Update
      generation script and shipped parameters.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 21 May 2012 20:00:18 +0200

exim4 (4.80~rc2-1) experimental; urgency=low

  * Fix typo in retry/30_exim4-config (s/frequenzy/frequency/) (Thanks, Regid
    Ichira). Closes: #646338
  * dpkg-buildflags supersedes hardening-wrapper. set


=== debian/control ===
Source: exim4
Section: mail
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>,Marc Haber <mh+debian-packages@zugschlus.de>
Homepage: http://www.exim.org/
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-exim4/exim4.git
Vcs-Browser: http://git.debian.org/?p=pkg-exim4/exim4.git
Build-Depends: debhelper (>= 7.0.15), po-debconf, docbook-xsl, xsltproc,
  lynx-cur | lynx, docbook-xml, libpcre3-dev, libldap2-dev, libpam0g-dev,
  libident-dev, libdb5.1-dev, libxmu-dev, libxt-dev, libxext-dev, libx11-dev,
  libxaw7-dev, libpq-dev, libmysqlclient-dev | libmysqlclient15-dev,
  libsqlite3-dev, libperl-dev, libgnutls-dev, libsasl2-dev, lsb-release
XS-Testsuite: autopkgtest

Package: exim4-base
Architecture: any
Breaks: exim4-daemon-light (<<${Upstream-Version}),
 exim4-daemon-heavy (<<${Upstream-Version}), 
 exim4-daemon-custom (<<${Upstream-Version})
Conflicts: exim, exim-tls
Replaces: exim, exim-tls, exim4-daemon-light, exim4-daemon-heavy, exim4-daemon-custom
Depends: ${shlibs:Depends}, ${misc:Depends}, cron | fcron, exim4-config (>=4.30) | exim4-config-2, adduser, netbase, lsb-base (>= 3.0-6)
# psmisc just for exiwhat.
Recommends: psmisc, mailx, perl-modules
Suggests: mail-reader, eximon4, exim4-doc-html|exim4-doc-info, 
 gnutls-bin | openssl, file, spf-tools-perl, swaks
Description: support files for all Exim MTA (v4) packages
 Exim (v4) is a mail transport agent. exim4-base provides the support
 files needed by all exim4 daemon packages. You need an additional package
 containing the main executable. The available packages are:
 .
  exim4-daemon-light
  exim4-daemon-heavy
 .
 If you build exim4 from the source package locally, you can also
 build an exim4-daemon-custom package tailored to your own feature set.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-config
Architecture: all
Breaks: exim4-daemon-light (<<4.69.1), exim4-daemon-heavy (<<4.69.1)
Provides: exim4-config-2
Conflicts: exim, exim-tls, exim4-config, exim4-config-2, ${MTA-Conflicts}
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: configuration for the Exim MTA (v4)
 Exim (v4) is a mail transport agent. exim4-config provides the configuration
 for the exim4 daemon packages. The configuration framework has been split
 off the main package to allow sites to replace the configuration scheme
 with their own without having to change the actual exim4 packages.
 .
 Sites with special configuration needs (having a lot of identically
 configured machines for example) can use this to distribute their own
 custom configuration via the packaging system, using the magic
 available with dpkg's conffile handling, without having to do local
 changes on all of these machines.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-light
Architecture: any
Provides: mail-transport-agent, exim4-localscanapi-1.0, exim4-localscanapi-1.1
Conflicts: mail-transport-agent
Replaces: mail-transport-agent, exim4-base (<= 4.61-1)
Depends: exim4-base (>= ${Upstream-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: lightweight Exim MTA (v4) daemon
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with only basic features enabled. It works well with the
 standard setups that are provided by Debian and includes support for
 TLS encryption and the dlopen patch to allow dynamic loading of a
 local_scan function.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4
Architecture: all
Depends: ${misc:Depends}, debconf (>= 1.4.69) | cdebconf (>= 0.39), exim4-base (>= ${Upstream-Version}), exim4-daemon-light | exim4-daemon-heavy | exim4-daemon-custom
Description: metapackage to ease Exim MTA (v4) installation
 Exim (v4) is a mail transport agent. exim4 is the metapackage depending
 on the essential components for a basic exim4 installation.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-heavy
Architecture: any
Priority: optional
Provides: mail-transport-agent, exim4-localscanapi-1.0, exim4-localscanapi-1.1
Conflicts: mail-transport-agent
Replaces: mail-transport-agent, exim4-base (<= 4.61-1)
Depends: exim4-base (>= ${Upstream-Version}), ${shlibs:Depends},
 ${misc:Depends}
Breaks: clamav-daemon (<< 0.95)
Description: Exim MTA (v4) daemon with extended features, including exiscan-acl
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with extended features. In addition to the features already
 supported by exim4-daemon-light, exim4-daemon-heavy includes LDAP,
 sqlite, PostgreSQL and MySQL data lookups, SASL and SPA SMTP authentication,
 embedded Perl interpreter, and the content scanning extension
 (formerly known as "exiscan-acl") for integration of virus scanners
 and spamassassin.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-custom
Architecture: any
Priority: optional
Provides: mail-transport-agent, exim4-localscanapi-1.0, exim4-localscanapi-1.1
Conflicts: mail-transport-agent
Replaces: mail-transport-agent, exim4-base (<= 4.61-1)
Depends: exim4-base (>= ${Upstream-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: custom Exim MTA (v4) daemon with locally set features
 Exim (v4) is a mail transport agent. This package contains a
 custom-configured exim4 daemon compiled to local needs. This package
 is not part of official Debian, but can easily be built from the
 Debian source package. For information about the feature set compiled in,
 and for bug reports, please find out who built your package.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: eximon4
Architecture: any
Priority: optional
Conflicts: eximon
Replaces: eximon
Depends: ${shlibs:Depends}, ${misc:Depends}, exim4-base (>= 4.10)
Description: monitor application for the Exim MTA (v4) (X11 interface)
 Eximon is a helper program for the Exim MTA (v4). It allows
 administrators to view the mail queue and logs, and perform a variety
 of actions on queued messages, such as freezing, bouncing and thawing
 messages.

Package: exim4-dbg
Architecture: any
Priority: extra
Section: debug
Depends: exim4-base, exim4-config, ${misc:Depends}
Recommends: eximon4
Description: debugging symbols for the Exim MTA (utilities)
 Exim (v4) is a mail transport agent. This package contains
 debugging symbols for the binaries contained in the exim4
 packages. The daemon packages have their own debug package.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains

=== debian/tests/control ===
Tests: daemon security
Depends: exim4
Restrictions: needs-root

## exim4 4.82

=== Makefile ===
# Top-level makefile for Exim; handles creating a build directory with
# appropriate links, and then creating and running the main makefile in that
# directory.

# Copyright (c) University of Cambridge, 1995 - 2007
# See the file NOTICE for conditions of use and distribution.

# IRIX make uses the shell that is in the SHELL variable, which often defaults
# to csh, so put this in to make it use the Bourne shell. In systems where
# /bin/sh is not a Bourne-compatible shell, this line will have to be edited,
# or "make" must be called with a different SHELL= setting.

SHELL=/bin/sh
RM_COMMAND=/bin/rm

# If a build name has not been specified by running this make file via a
# command of the form "make build=xxxx", then determine the name of the
# operating system and the machine architecture and use that. This does not
# provide an override for the OS type and architecture type; they still have
# to be used for the OS-specific files. To override them, you can set the
# shell variables OSTYPE and ARCHTYPE when running make.

buildname=$${build:-`$(SHELL) scripts/os-type`-`$(SHELL) scripts/arch-type`}

# The default target checks for the existence of Local/Makefile, that the main
# makefile is built and up-to-date, and then it runs it.

all: Local/Makefile configure
	@cd build-$(buildname); $(MAKE) SHELL=$(SHELL) $(MFLAGS)

Local/Makefile:
	@echo ""
	@echo "*** Please create Local/Makefile by copying src/EDITME and making"
	@echo "*** appropriate changes for your site."
	@echo ""
	@test ! -d Local && mkdir Local
	@false

# This is separated off so that "make build-directory" can be obeyed on
# its own if necessary.

build-directory:
	@builddir=build-$(buildname); \
	case "$$builddir" in *UnKnown*) exit 1;; esac; \
	$(SHELL) -c "test -d $$builddir -a -r $$builddir/version.c || \
	  (mkdir $$builddir; cd $$builddir; $(SHELL) ../scripts/MakeLinks)";

checks:
	$(SHELL) scripts/source_checks

# The "configure" target ensures that the build directory exists, then arranges
# to build the main makefile from inside the build directory, by calling the
# Configure-Makefile script. This does its own dependency checking because of
# the optional files.

configure: checks build-directory
	@cd build-$(buildname); \
	  build=$(build) $(SHELL) ../scripts/Configure-Makefile

# The "makefile" target forces a rebuild of the makefile (as opposed to
# "configure", which doesn't force it).

makefile: build-directory
	@cd build-$(buildname); $(RM_COMMAND) -f Makefile; \
	  build=$(build) $(SHELL) ../scripts/Configure-Makefile

# The installation commands are kept in a separate script, which expects
# to be run from inside the build directory.

install:        all
		@cd build-$(buildname); \
		build=$(build) $(SHELL) ../scripts/exim_install $(INSTALL_ARG)

# Tidy-up targets

clean:; @echo ""; echo '*** "make clean" just removes all .o and .a files'
	@echo '*** Use "make makefile" to force a rebuild of the makefile'
	@echo ""
	cd build-$(buildname); \
	$(RM_COMMAND) -f *.o lookups/*.o lookups/*.a auths/*.o auths/*.a \
	routers/*.o routers/*.a transports/*.o transports/*.a \
	pdkim/*.o pdkim/*.a

clean_exim:; cd build-$(buildname); \
	 $(RM_COMMAND) -f *.o lookups/*.o lookups/*.a auths/*.o auths/*.a \
	routers/*.o routers/*.a transports/*.o transports/*.a lookups/*.so

distclean:; $(RM_COMMAND) -rf build-* cscope*

cscope.files: FRC
	echo "-q" > $@
	echo "-p3" >> $@
	find src Local -name "*.[cshyl]" -print \
		    -o -name "*akefile*" -print \
		    -o -name EDITME -print >> $@

FRC:

# End of top-level makefile

=== src/transports/Makefile ===
# Make file for building a library containing all the available transports and
# calling it transports.a. This is called from the main make file, after cd'ing
# to the transports subdirectory.

OBJ = appendfile.o autoreply.o lmtp.o pipe.o smtp.o tf_maildir.o

transports.a:    $(OBJ)
		 @$(RM_COMMAND) -f transports.a
		 @echo "$(AR) transports.a"
		 @$(AR) transports.a $(OBJ)
		 $(RANLIB) $@

.SUFFIXES:       .o .c
.c.o:;           @echo "$(CC) $*.c"
		 $(FE)$(CC) -c $(CFLAGS) $(INCLUDE) $*.c

appendfile.o:    $(HDRS) appendfile.c appendfile.h tf_maildir.h
autoreply.o:     $(HDRS) autoreply.c autoreply.h
lmtp.o:          $(HDRS) lmtp.c lmtp.h
pipe.o:          $(HDRS) pipe.c pipe.h
smtp.o:          $(HDRS) smtp.c smtp.h

tf_maildir.o:    $(HDRS) tf_maildir.c tf_maildir.h appendfile.h

# End

=== debian/changelog ===
exim4 (4.82-3ubuntu2.4) trusty-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow in base64d()
    - debian/patches/CVE-2018-6789.patch: fix overflow in
      src/auths/b64decode.c.
    - CVE-2018-6789

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 10 Feb 2018 14:19:43 -0500

exim4 (4.82-3ubuntu2.3) trusty-security; urgency=medium

  * SECURITY UPDATE: memory leak
    - debian/patches/CVE-2017-1000368.patch: free -p argument if
      allocation was required.
    - CVE-2017-1000368

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 02 Jun 2017 22:44:35 -0700

exim4 (4.82-3ubuntu2.2) trusty-security; urgency=medium

  * SECURITY UPDATE: DKIM information leakage
    - debian/patches/CVE-2016-9963.patch: fix information leakage in
      src/dkim.c, src/transports/smtp.c.
    - CVE-2016-9963

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 05 Jan 2017 08:31:06 -0500

exim4 (4.82-3ubuntu2.1) trusty-security; urgency=medium

  * SECURITY UPDATE: privilege escalation via crafted lookup value
    - debian/patches/CVE-2014-2972.patch: only expand integers for integer
      math once.
    - CVE-2014-2972
  * SECURITY UPDATE: privilege escalation when used with perl_startup
    - debian/patches/CVE-2016-1531.patch: add new add_environment and
      keep_environment configuration options. 
    - debian/patches/CVE-2016-1531-2.patch: don't issue env warning if env
      is empty.
    - debian/patches/CVE-2016-1531-3.patch: store the initial working
      directory, expand $initial_cwd.
    - debian/patches/CVE-2016-1531-4.patch: delay chdir(/) until we opened
      the main config.
    - Add macros MAIN_KEEP_ENVIRONMENT and MAIN_ADD_ENVIRONMENT to set the
      new options. Set "keep_environment =" by default to avoid a runtime
      warning.
    - Bump exim4-config Breaks to exim4-daemon-* (<< 4.82-3ubuntu2.1).
    - debian/exim4-config.NEWS: Add entry to warn of potential breakage.
    - CVE-2016-1531
  * WARNING: This update may break existing installations.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 14 Mar 2016 12:57:00 -0400

exim4 (4.82-3ubuntu2) trusty; urgency=medium

  * debian/tests/control: Add missing python test dependency, as
    debian/tests/security calls python.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 25 Feb 2014 17:33:13 +0100

exim4 (4.82-3ubuntu1) trusty; urgency=low

  * Merge from Debian unstable (LP: #1259620). Remaining changes:
    - Show Ubuntu distribution on smtp:
      + debian/patches/fix_smtp_banner.patch: updated SMTP banner
        with Ubuntu distribution
      + debian/control: added lsb-release build dependency
    - Don't provide default-mta; in Ubuntu, we want postfix to be the
      default.
    - Build-depend on db5.3.

 -- Yolanda Robla <yolanda.robla@canonical.com>  Tue, 10 Dec 2013 17:07:20 +0000

exim4 (4.82-3) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 27 Nov 2013 19:51:26 +0100

exim4 (4.82-2) experimental; urgency=low

  * Pull two post-release fixes from upstream git master:
    + 75_unbind-ldap-connection.diff - Only unbind ldap connection if bind
      succeeded.
    + 77_close-the-server-side-of-TLS.diff - Correctly close the server side
      of TLS when forking for delivery.
  * Pull 76_fix_ldap_option_setting.diff from Todd Lyons testing tree. See
    <http://mid.gmane.org/20131029200309.GA277075%40zedat.fu-berlin.de>.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Nov 2013 17:24:59 +0100

exim4 (4.82-1) experimental; urgency=low

  * New upstream stable release.
  * Drop exim4-config_files.5 symlinks for local_host_whitelist and
    local_sender_whitelist, add symlinks for host_local_deny_exceptions and
    sender_local_deny_exceptions instead. Closes: #661365

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Nov 2013 11:52:58 +0100

exim4 (4.82~rc5-1) experimental; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Oct 2013 08:50:58 +0200

exim4 (4.82~rc3-1) experimental; urgency=low

  * New upstream version.
    + TL/15 Fix exiqsumm summary for corner case. Patch provided by Richard
      Hall.
    + TL/16 Bugzilla 1289 - Clarify host/ip processing when have errors
      looking up a hostname or reverse DNS when processing a host list. Used
      suggestions from multiple comments on this bug.
    + TL/17 Bugzilla 1057 - Multiple clamd TCP targets patch from Mark Zealey.
  * Add macros for sending a client certificate on outgoing TLS connections.
    (REMOTE_SMTP_TLS_CERTIFICATE/REMOTE_SMTP_PRIVATEKEY,
    REMOTE_SMTP_SMARTHOST_TLS_CERTIFICATE/REMOTE_SMTP_SMARTHOST_PRIVATEKEY)
    Closes: #677826

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Oct 2013 09:30:28 +0200

exim4 (4.82~rc2-1) experimental; urgency=low

  * exim-gencert: Generate 2048bit key by default. LP: #1200581
  * New upstream version.
    + Drop 80_addmanuallybuiltdocs.diff

 -- Andreas Metzler <ametzler@debian.org>  Thu, 03 Oct 2013 19:24:59 +0200

exim4 (4.82~rc1-1) experimental; urgency=low

  * New upstream version.
    + TL/02 Add +smtp_confirmation as a default logging option.
      Closes: #649600
    + JH/05 Permit multiple router/transport headers_add/remove lines.
      Closes: #276126
    + See /usr/share/doc/exim4-base/NewStuff.gz for other newly added
      features.
  * Upload to experimental.
  * Drop unnecessary patches (30_dontoverridecflags.dpatch
    75_openssl_sni.diff 76_tls_dh_min_bits.diff 77_docsfortls_dh_min_bits.diff
    78_pkcs11_init.diff 84_CVE-2012-5671.patch 85_server_set_id_SPA.diff
    86_Dovecot-robustness.diff 87_localinjected_mimeacl.diff), unfuzz patches.
  * Applying upstream's default configuration updates to Debian configuration
    change 30_exim4-config_examples to use tls_in_cipher/tls_out_cipher
    instead of tls_out_cipher. - exim4-config therefore Breaks 
    exim daemon << 4.82~rc1.
  * 80_addmanuallybuiltdocs.diff: Upstream rc tarball ships empty filter.txt


=== debian/control ===
--- 
+++ 
@@ -5,12 +5,14 @@
 XSBC-Original-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>,Marc Haber <mh+debian-packages@zugschlus.de>
 Homepage: http://www.exim.org/
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-exim4/exim4.git
-Vcs-Browser: http://git.debian.org/?p=pkg-exim4/exim4.git
+Standards-Version: 3.9.5
+#Vcs-Git: git://git.debian.org/git/pkg-exim4/exim4.git
+#Vcs-Browser: http://git.debian.org/?p=pkg-exim4/exim4.git
+Vcs-Git: git://anonscm.debian.org/pkg-exim4/exim4.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exim4/exim4.git
 Build-Depends: debhelper (>= 7.0.15), po-debconf, docbook-xsl, xsltproc,
   lynx-cur | lynx, docbook-xml, libpcre3-dev, libldap2-dev, libpam0g-dev,
-  libident-dev, libdb5.1-dev, libxmu-dev, libxt-dev, libxext-dev, libx11-dev,
+  libident-dev, libdb5.3-dev, libxmu-dev, libxt-dev, libxext-dev, libx11-dev,
   libxaw7-dev, libpq-dev, libmysqlclient-dev | libmysqlclient15-dev,
   libsqlite3-dev, libperl-dev, libgnutls-dev, libsasl2-dev, lsb-release
 XS-Testsuite: autopkgtest
@@ -56,7 +58,7 @@
 
 Package: exim4-config
 Architecture: all
-Breaks: exim4-daemon-light (<<4.69.1), exim4-daemon-heavy (<<4.69.1)
+Breaks: exim4-daemon-light (<< 4.82-3ubuntu2.1), exim4-daemon-heavy (<< 4.82-3ubuntu2.1)
 Provides: exim4-config-2
 Conflicts: exim, exim-tls, exim4-config, exim4-config-2, ${MTA-Conflicts}
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
@@ -229,6 +231,3 @@
  .
  The Debian exim4 packages have their own web page,
  http://wiki.debian.org/PkgExim4. There is also a Debian-specific
- FAQ list. Information about the way the Debian packages are
- configured can be found in
- /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains

=== debian/tests/control ===
Tests: daemon security
Depends: exim4, python
Restrictions: needs-root

=== debian/watch ===
version=2
http://ftp.exim.org/pub/exim/exim4/exim-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## exim4 4.84~RC1

=== debian/changelog ===
exim4 (4.84~RC1-3ubuntu2) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2014 12:18:13 +0100

exim4 (4.84~RC1-3ubuntu1) utopic; urgency=low

  * Merge from Debian unstable (LP: #1351470). Remaining changes:
    - Show Ubuntu distribution on smtp:
      + debian/patches/fix_smtp_banner.patch: updated SMTP banner
        with Ubuntu distribution
      + debian/control: added lsb-release build dependency
    - Don't provide default-mta; in Ubuntu, we want postfix to be the
      default.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Aug 2014 11:48:39 -0400

exim4 (4.84~RC1-3) unstable; urgency=medium

  * Third try. Simply comment *custom* in debian/control.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Aug 2014 09:29:13 +0200

exim4 (4.84~RC1-2) unstable; urgency=medium

  * Re-upload, after manually removing *custom* from the changes file to avoid
    false detection of NEW packages due to the changes in the archive
    infrastructure related source-only uploads.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Aug 2014 08:14:54 +0200

exim4 (4.84~RC1-1) unstable; urgency=medium

  * New upstream release candidate, fixing a regression in the MIME handling
    code.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Aug 2014 07:45:26 +0200

exim4 (4.83-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Jul 2014 09:25:15 +0200

exim4 (4.83-1) experimental; urgency=medium

  * New upstream release which includes the fix for CVE-2014-2972.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 23 Jul 2014 08:13:22 +0200

exim4 (4.83~RC3-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 08 Jul 2014 19:07:52 +0200

exim4 (4.83~RC2-1) experimental; urgency=medium

  * New upstream release candidate.
    + JH/26 Port service names are now accepted for tls_on_connect_ports, to
      align with daemon_smtp_ports.  Bug 72. Closes: #316441


 -- Andreas Metzler <ametzler@debian.org>  Fri, 06 Jun 2014 19:11:24 +0200

exim4 (4.83~RC1-1) experimental; urgency=medium

  * New upstream feature release candidate.
    + JH/06 Log outbound-TLS and port details, subject to log selectors, for a
      failed delivery. Closes: #712987
  * Unfuzz 31_eximmanpage.dpatch and 50_localscan_dlopen.dpatch.
  * Drop superfluous patches: 75_unbind-ldap-connection.diff
    76_fix_ldap_option_setting.diff 77_close-the-server-side-of-TLS.diff
    80_fix_ftbfs_hurd.diff
  * Since exim4-base currently only includes daily cronjobs let anacron
    fulfill the dependency, too. Systems with missing recommends (anacron
    recommends cron) that are *not* restarted regularily will therefore not
    run the cron-job regularily. Exim should not break horribly in this case
    and we can assume the local system administrator knows what (s)he is doing
    by disabling installation of recommends. (Policy: "[...] packages that
    would be found together with this one in all but unusual installations")
    Closes: #733929

 -- Andreas Metzler <ametzler@debian.org>  Thu, 29 May 2014 13:09:04 +0200

exim4 (4.82.1-2ubuntu1) utopic; urgency=low

  * Merge from Debian unstable (LP: #1348074). Remaining changes:
    - Show Ubuntu distribution on smtp:
      + debian/patches/fix_smtp_banner.patch: updated SMTP banner
        with Ubuntu distribution
      + debian/control: added lsb-release build dependency
    - Don't provide default-mta; in Ubuntu, we want postfix to be the
      default.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 25 Jul 2014 15:53:09 +0000

exim4 (4.82.1-2) unstable; urgency=high

  * [87_double_expansion.diff] from upstream. Stop unwanted double expansion
    of arguments to mathematical comparison operations. CVE-2014-2972

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Jul 2014 19:05:48 +0200

exim4 (4.82.1-1) unstable; urgency=high

  * New upstream security release, fixing CVE-2014-2957. This is a remote
    code execution flaw in Exim version 4.82 (only) when built with DMARC
    support. Debian's binary packages are not built with DMARC support and
    therefore not vulnerable. However we want to fix this for people building
    their own binaries based on Debian's packaging.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 28 May 2014 19:01:43 +0200

exim4 (4.82-8ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu distribution on smtp:
      + debian/patches/fix_smtp_banner.patch: updated SMTP banner
        with Ubuntu distribution
      + debian/control: added lsb-release build dependency
    - Don't provide default-mta; in Ubuntu, we want postfix to be the
      default.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 17 May 2014 01:50:20 +0100

exim4 (4.82-8) unstable; urgency=medium

  * Now that GMP has been relicensed to LGPLv3+/GPLv2+ build exim against
    GnuTLS v3.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Apr 2014 16:19:05 +0200

exim4 (4.82-7) unstable; urgency=high

  [ Martin Pitt ]
  * debian/tests/control: Add missing python test dependency, as
    debian/tests/security calls python. Closes: #740092

  [ Andreas Metzler ]
  * 4.82 deprecated $tls_bits, $tls_certificate_verified, $tls_cipher,
    $tls_peerdn, $tls_sni and introduced tls_in_*/tls_out_* variants of these
    variables which describe the respective status of the current incoming or
    outgoing TLS connection. The rationale for this is that a single exim
    process can now use both an incoming (message reception) and outgoing
    TLS connection (callout or cutthrough delivery) concurrently. With this
    change the "old" variables were mapped to tls_in_*, i.e. they expand to
    empty values on outgoing connections. (This is not yet documented.)
    Outgoing tls-connections can therefore not be detected by nonempty


=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
   lynx-cur | lynx, docbook-xml, libpcre3-dev, libldap2-dev, libpam0g-dev,
   libident-dev, libdb5.3-dev, libxmu-dev, libxt-dev, libxext-dev, libx11-dev,
   libxaw7-dev, libpq-dev, libmysqlclient-dev | libmysqlclient15-dev,
-  libsqlite3-dev, libperl-dev, libgnutls-dev, libsasl2-dev, lsb-release
+  libsqlite3-dev, libperl-dev, libgnutls28-dev, libsasl2-dev, lsb-release
 XS-Testsuite: autopkgtest
 
 Package: exim4-base
@@ -24,7 +24,8 @@
  exim4-daemon-custom (<<${Upstream-Version})
 Conflicts: exim, exim-tls
 Replaces: exim, exim-tls, exim4-daemon-light, exim4-daemon-heavy, exim4-daemon-custom
-Depends: ${shlibs:Depends}, ${misc:Depends}, cron | fcron, exim4-config (>=4.30) | exim4-config-2, adduser, netbase, lsb-base (>= 3.0-6)
+Depends: ${shlibs:Depends}, ${misc:Depends}, cron | anacron | fcron,
+ exim4-config (>=4.82) | exim4-config-2, adduser, netbase, lsb-base (>= 3.0-6)
 # psmisc just for exiwhat.
 Recommends: psmisc, mailx, perl-modules
 Suggests: mail-reader, eximon4, exim4-doc-html|exim4-doc-info, 
@@ -58,7 +59,7 @@
 
 Package: exim4-config
 Architecture: all
-Breaks: exim4-daemon-light (<< 4.82-3ubuntu2.1), exim4-daemon-heavy (<< 4.82-3ubuntu2.1)
+Breaks: exim4-daemon-light (<<4.82~rc1), exim4-daemon-heavy (<<4.82~rc1)
 Provides: exim4-config-2
 Conflicts: exim, exim-tls, exim4-config, exim4-config-2, ${MTA-Conflicts}
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
@@ -176,35 +177,35 @@
  can find the subscription web page on
  http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users
 
-Package: exim4-daemon-custom
-Architecture: any
-Priority: optional
-Provides: mail-transport-agent, exim4-localscanapi-1.0, exim4-localscanapi-1.1
-Conflicts: mail-transport-agent
-Replaces: mail-transport-agent, exim4-base (<= 4.61-1)
-Depends: exim4-base (>= ${Upstream-Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: custom Exim MTA (v4) daemon with locally set features
- Exim (v4) is a mail transport agent. This package contains a
- custom-configured exim4 daemon compiled to local needs. This package
- is not part of official Debian, but can easily be built from the
- Debian source package. For information about the feature set compiled in,
- and for bug reports, please find out who built your package.
- .
- The Debian exim4 packages have their own web page,
- http://wiki.debian.org/PkgExim4. There is also a Debian-specific
- FAQ list. Information about the way the Debian packages are
- configured can be found in
- /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
- information about the way the Debian binary packages are built. The
- very extensive upstream documentation is shipped in
- /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
- configuration process in a standard setup, invoke dpkg-reconfigure
- exim4-config. There is a Debian-centered mailing list,
- pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
- questions there, and only write to the upstream exim-users mailing
- list if you are sure that your question is not Debian-specific. You
- can find the subscription web page on
- http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users
+#Package: exim4-daemon-custom
+#Architecture: any
+#Priority: optional
+#Provides: mail-transport-agent, exim4-localscanapi-1.0, exim4-localscanapi-1.1
+#Conflicts: mail-transport-agent
+#Replaces: mail-transport-agent, exim4-base (<= 4.61-1)
+#Depends: exim4-base (>= ${Upstream-Version}), ${shlibs:Depends}, ${misc:Depends}
+#Description: custom Exim MTA (v4) daemon with locally set features
+# Exim (v4) is a mail transport agent. This package contains a
+# custom-configured exim4 daemon compiled to local needs. This package
+# is not part of official Debian, but can easily be built from the
+# Debian source package. For information about the feature set compiled in,
+# and for bug reports, please find out who built your package.
+# .
+# The Debian exim4 packages have their own web page,
+# http://wiki.debian.org/PkgExim4. There is also a Debian-specific
+# FAQ list. Information about the way the Debian packages are
+# configured can be found in
+# /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
+# information about the way the Debian binary packages are built. The
+# very extensive upstream documentation is shipped in
+# /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
+# configuration process in a standard setup, invoke dpkg-reconfigure
+# exim4-config. There is a Debian-centered mailing list,
+# pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
+# questions there, and only write to the upstream exim-users mailing
+# list if you are sure that your question is not Debian-specific. You
+# can find the subscription web page on
+# http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users
 
 Package: eximon4
 Architecture: any
@@ -230,4 +231,3 @@
  packages. The daemon packages have their own debug package.
  .
  The Debian exim4 packages have their own web page,
- http://wiki.debian.org/PkgExim4. There is also a Debian-specific

## exim4 4.84

=== debian/changelog ===
exim4 (4.84-8ubuntu1) vivid; urgency=low

  * Merge from Debian unstable. (LP: #1434300) Remaining changes:
    - debian/control, debian/patches/fix_smtp_banner.patch:
      + Show Ubuntu distribution in SMTP banner.
      + Build-Depends on lsb-release.
    - debian/control:
      + Don't provide default-mta; in Ubuntu,
        we want postfix to be the default.

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 19 Mar 2015 00:15:40 +0100

exim4 (4.84-8) unstable; urgency=medium

  * Pull 83_Remove-limit-on-remove_headers-item-size.-Bug-1533.patch and
    84_Fix-truncation-of-items-in-headers_remove-lists-this.patch from
    upstream GIT which fix breakage of string-expansion in headers_remove
    commands. (Thanks Gordon Dickens, for the pointer.)

 -- Andreas Metzler <ametzler@debian.org>  Tue, 17 Feb 2015 18:00:42 +0100

exim4 (4.84-7) unstable; urgency=medium

  * Tighten dependency of exim4 on exim4-base to (>= ${source:Version}) and
    (<< ${source:Version}.1), at least source version, but not the next
    sourceful upload. Closes: #777246

 -- Andreas Metzler <ametzler@debian.org>  Sat, 07 Feb 2015 15:12:33 +0100

exim4 (4.84-6ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Show Ubuntu distribution in SMTP banner.
    - Don't provide default-mta; in Ubuntu, we want postfix to be the
      default.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Jan 2015 11:26:29 +0000

exim4 (4.84-6) unstable; urgency=medium

  * Revert init script's restart order change in 4.84-4 for the time being.
    This needs a slightly more involved change than I want to push into jessie
    right now.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Dec 2014 14:07:12 +0100

exim4 (4.84-5ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Show Ubuntu distribution in SMTP banner.
    - Don't provide default-mta; in Ubuntu, we want postfix to be the
      default.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Dec 2014 15:26:17 +0000

exim4 (4.84-5) unstable; urgency=medium

  * 82_quoted-or-r-2047-encoded.diff pulled from upstream git (sans
    testsuite), extends the fix in 4.84-2.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 17 Dec 2014 19:03:39 +0100

exim4 (4.84-4ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Show Ubuntu distribution in SMTP banner.
    - Don't provide default-mta; in Ubuntu, we want postfix to be the
      default.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Dec 2014 15:28:46 +0000

exim4 (4.84-4) unstable; urgency=medium

  * Unset message_prefix/message_sufix in maildrop_pipe transport. Maildrop
    neither expects a mbox-style From nor an empty line add the end. (Thanks,
    Edward Betts) Closes: #769396
  * Change the init script's restart order from { regenerate_config; stop;
    start ; } to { stop; regenerate_config; start ; }. (Thanks, Jakub Warmuz)
    Closes: #768874
  * 81_buffer-overrun-in-spam-acl.diff from upstream git. Fix a buffer overrun
    with control characters in argument of spam= acl condition.
    <http://bugs.exim.org/show_bug.cgi?id=1552>

 -- Andreas Metzler <ametzler@debian.org>  Sun, 30 Nov 2014 08:24:04 +0100

exim4 (4.84-3ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Show Ubuntu distribution in SMTP banner.
    - Don't provide default-mta; in Ubuntu, we want postfix to be the
      default.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Nov 2014 13:43:35 +0000

exim4 (4.84-3) unstable; urgency=medium

  * Apply patch to Italian (it) debconf template translation, thanks to
    s3v <c0llapsed@yahoo.it>. Closes: #764925
  * Let virtual package cron-daemon fulfill exim4-base's dependency now that
    bcron provides it instead of "cron" and systemd-cron is fixed.
    Closes: #765720

 -- Andreas Metzler <ametzler@debian.org>  Sun, 19 Oct 2014 13:35:56 +0200

exim4 (4.84-2) unstable; urgency=high

  * Add 80_mime_empty_charset.diff from upstream GIT (the parts that change
    the code, not the testsuite) to handle empty content-type charset.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 29 Aug 2014 19:41:38 +0200

exim4 (4.84-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 14 Aug 2014 19:33:01 +0200

exim4 (4.84~RC2-1) unstable; urgency=medium

  * New upstream release candidate.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Aug 2014 07:42:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>,Marc Haber <mh+debian-packages@zugschlus.de>
 Homepage: http://www.exim.org/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 #Vcs-Git: git://git.debian.org/git/pkg-exim4/exim4.git
 #Vcs-Browser: http://git.debian.org/?p=pkg-exim4/exim4.git
 Vcs-Git: git://anonscm.debian.org/pkg-exim4/exim4.git
@@ -24,7 +24,8 @@
  exim4-daemon-custom (<<${Upstream-Version})
 Conflicts: exim, exim-tls
 Replaces: exim, exim-tls, exim4-daemon-light, exim4-daemon-heavy, exim4-daemon-custom
-Depends: ${shlibs:Depends}, ${misc:Depends}, cron | anacron | fcron,
+Depends: ${shlibs:Depends}, ${misc:Depends}, 
+ cron | cron-daemon | anacron | fcron,
  exim4-config (>=4.82) | exim4-config-2, adduser, netbase, lsb-base (>= 3.0-6)
 # psmisc just for exiwhat.
 Recommends: psmisc, mailx, perl-modules
@@ -122,7 +123,10 @@
 
 Package: exim4
 Architecture: all
-Depends: ${misc:Depends}, debconf (>= 1.4.69) | cdebconf (>= 0.39), exim4-base (>= ${Upstream-Version}), exim4-daemon-light | exim4-daemon-heavy | exim4-daemon-custom
+Depends: ${misc:Depends}, debconf (>= 1.4.69) | cdebconf (>= 0.39),
+ exim4-base (>= ${source:Version}),
+ exim4-base (<< ${source:Version}.1),
+ exim4-daemon-light | exim4-daemon-heavy | exim4-daemon-custom
 Description: metapackage to ease Exim MTA (v4) installation
  Exim (v4) is a mail transport agent. exim4 is the metapackage depending
  on the essential components for a basic exim4 installation.
